[Bug 272160] [NEW] Please sync emboss-explorer 2.2.0-6 (universe) from Debian unstable (main).

Launchpad Bug Tracker 272160 at bugs.launchpad.net
Fri Sep 19 16:56:34 BST 2008


You have been subscribed to a public bug by Michael Bienia (geser):

Binary package hint: emboss-explorer

Please sync emboss-explorer 2.2.0-6 (universe) from Debian unstable
(main).

Changelog since current intrepid version 2.2.0-5:

emboss-explorer (2.2.0-6) unstable; urgency=low

  [ Charles Plessy ]
  * Relicensed the packaging work to "Same as EMBOSS explorer".
  * debian/patches:
    - Documented 01-fix_examples.dpatch.
    - Documented and forwarded 02-fix_Conf.pm.dpatch and
      05-build-manpages.dpatch.
    - Suppressed 04-fix_install.dpatch. Its role is taken by debian/rules and
      debian/index.html.
  * debian/rules:
    - refreshed using dh-make-perl version 0.45;
    - tests disable because of upstream bug 1994385;
    - sets the owner of the emboss output directory as `www-data';
    - touches the makefile to avoid timestamp artefacts due to the patching of
      Makefile.PL (Thanks to Damyan and Gregor for the hint!).
  * Package made compatible with FHS by not using /var/www.
    - HTML files moved to `/usr/emboss-explorer/html'.
    - Cascade stylesheets moved to `/etc/emboss-explorer/style'
      (they are intended to be modifiable).
    - Temporary files moved to `/var/lib/emboss-explorer'
    - /etc/emboss-explorer/apache.conf allows apache2 to access the files in
      the /user/share/emboss-explorer directory, as well as the EMBOSS
      documentation in /usr/share/doc/emboss-explorer/ (Closes: #485735).
  * debian/emboss-explorer.manpages, debian/acdcheck.1*, debian/mkstatic.1*
    suppressed to use Upstream's manpages.
  * debian/emboss-explorer.postrm removes the temporary files when the package
    is purged.
  * debian/emboss-explorer.preinst moves the emboss-explorer.conf in its new
    place.

  [ David Paleino ]
  * debian/control:
    - dropped dependency on libcgi-perl (Closes: #485009)
    - updated Charles' email :)
  * debian/copyright updated

 -- Charles Plessy <plessy at debian.org>  Sat, 05 Jul 2008 16:29:07 +0900

** Affects: emboss-explorer (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

-- 
Please sync emboss-explorer 2.2.0-6 (universe) from Debian unstable (main).
https://bugs.edge.launchpad.net/bugs/272160
You received this bug notification because you are a member of Ubuntu Package Archive Administrators, which is a direct subscriber.



More information about the ubuntu-archive mailing list